/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { AvatarAsResponse } from "../definitions/AvatarAsResponse";
import { ObjectTypeAsResponse } from "../definitions/ObjectTypeAsResponse";
import { ObjectAttributeAsResponse } from "../definitions/ObjectAttributeAsResponse";
export interface ObjectAsResponse {
    workspaceId: string;
    globalId: string;
    id: string;
    /**
     * The name of the object. This value is fetched from the attribute that is currently marked as label for the object type of this object
     */
    label: string;
    /**
     * The external identifier for this object
     */
    objectKey: string;
    avatar: AvatarAsResponse;
    objectType: ObjectTypeAsResponse;
    created: string;
    updated: string;
    hasAvatar: boolean;
    timestamp: number;
    attributes?: Array<ObjectAttributeAsResponse>;
    _links: {
        self: string;
    };
    name?: string;
}
//# sourceMappingURL=ObjectAsResponse.d.ts.map