/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IconAsResponse } from "../definitions/IconAsResponse";
export interface ObjectTypeAsResponse {
    workspaceId: string;
    globalId: string;
    id: string;
    name: string;
    description?: string;
    icon: IconAsResponse;
    position: number;
    created: string;
    updated: string;
    objectCount: number;
    /**
     * The id of the parent object type
     */
    parentObjectTypeId?: number;
    /**
     * The type of the attribute
     */
    type?: number;
    objectSchemaId: string;
    /**
     * Describes if this object type is configured for inheritance i.e. it's children inherits the attributes of this object type
     */
    inherited: boolean;
    abstractObjectType: boolean;
    /**
     * Describes if this object types parent is inherited i.e. this object type has attributes that are inherited from one or more parents
     */
    parentObjectTypeInherited: boolean;
}
//# sourceMappingURL=ObjectTypeAsResponse.d.ts.map