/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectTypeAsResponse } from "../definitions/ObjectTypeAsResponse";
import { DefaultTypeAsResponse } from "../definitions/DefaultTypeAsResponse";
import { ReferenceTypeAsResponse } from "../definitions/ReferenceTypeAsResponse";
export interface ObjectTypeAttributeAsResponse {
    workspaceId: string;
    globalId: string;
    id: string;
    objectType?: ObjectTypeAsResponse;
    name?: string;
    label: boolean;
    /**
  * | Value | Description|
  | ----- | ----------- |
  | 0 | Default|
  | 1 | Object reference|
  | 2 | User|
  | 4 | Group |
  | 7 | Status |
  
  */
    type?: number;
    description?: string;
    defaultType?: DefaultTypeAsResponse;
    typeValue?: string;
    typeValueMulti?: Array<string>;
    additionalValue?: string;
    referenceType?: ReferenceTypeAsResponse;
    referenceObjectTypeId?: string;
    referenceObjectType?: ObjectTypeAsResponse;
    editable?: boolean;
    system?: boolean;
    /**
     * Describes if this object type attribute is indexed. For an indexed attribute the AQL search will be faster, but this will affect memory consumption.
     */
    indexed: boolean;
    sortable?: boolean;
    summable?: boolean;
    minimumCardinality?: number;
    maximumCardinality?: number;
    suffix?: string;
    removable?: boolean;
    objectAttributeExists?: boolean;
    hidden?: boolean;
    includeChildObjectTypes?: boolean;
    uniqueAttribute?: boolean;
    regexValidation?: string;
    /**
     * Deprecated. Use `qlQuery` instead.
     */
    iql?: string;
    qlQuery?: string;
    options?: string;
    position: number;
}
//# sourceMappingURL=ObjectTypeAttributeAsResponse.d.ts.map