/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { StatusAsResponse } from "../definitions/StatusAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { StatusIn } from "../definitions/StatusIn";
export interface GetConfigStatusesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    /**
     * Include statuses for the object schema id. If supplied statuses for the object schema will be returned otherwise all global will be returned
     */
    objectSchemaId?: string;
}
declare type GetConfigStatusesResponseOKType = Array<StatusAsResponse>;
export interface GetConfigStatusesResponseOK extends GetConfigStatusesResponseOKType {
}
export declare type GetConfigStatusesResponseError = undefined;
export interface CreateConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: StatusIn;
}
declare type CreateConfigStatusResponseOKType = StatusAsResponse;
export interface CreateConfigStatusResponseOK extends CreateConfigStatusResponseOKType {
}
export declare type CreateConfigStatusResponseError = undefined;
export interface GetConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetConfigStatusResponseOKType = StatusAsResponse;
export interface GetConfigStatusResponseOK extends GetConfigStatusResponseOKType {
}
export declare type GetConfigStatusResponseError = undefined;
export interface UpdateConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: StatusIn;
}
declare type UpdateConfigStatusResponseOKType = StatusAsResponse;
export interface UpdateConfigStatusResponseOK extends UpdateConfigStatusResponseOKType {
}
export declare type UpdateConfigStatusResponseError = undefined;
export interface DeleteConfigStatusRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * Status type id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
export declare type DeleteConfigStatusResponseOK = undefined;
export declare type DeleteConfigStatusResponseError = undefined;
export {};
//# sourceMappingURL=config.d.ts.map