/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { IconAsResponse } from "../definitions/IconAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetIconRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetIconResponseOKType = IconAsResponse;
export interface GetIconResponseOK extends GetIconResponseOKType {
}
export declare type GetIconResponseError = undefined;
export interface GetGlobalIconsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetGlobalIconsResponseOKType = Array<IconAsResponse>;
export interface GetGlobalIconsResponseOK extends GetGlobalIconsResponseOKType {
}
export declare type GetGlobalIconsResponseError = undefined;
export {};
//# sourceMappingURL=icon.d.ts.map