/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProgressAsResponse } from "../definitions/ProgressAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface StartImportRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the import configuration that should be started
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type StartImportResponseOKType = ProgressAsResponse;
export interface StartImportResponseOK extends StartImportResponseOKType {
}
export declare type StartImportResponseError = undefined;
export {};
//# sourceMappingURL=import.d.ts.map