/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectAttributeAsResponse } from "../../definitions/ObjectAttributeAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetObjectAttributesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectAttributesResponseOKType = Array<ObjectAttributeAsResponse>;
export interface GetObjectAttributesResponseOK extends GetObjectAttributesResponseOKType {
}
export declare type GetObjectAttributesResponseError = undefined;
export {};
//# sourceMappingURL=attribute.d.ts.map