/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectHistoryAsResponse } from "../../definitions/ObjectHistoryAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetObjectHistoryRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    /**
     * Should the history be retrieved in ascending order
     */
    asc?: boolean;
}
declare type GetObjectHistoryResponseOKType = Array<ObjectHistoryAsResponse>;
export interface GetObjectHistoryResponseOK extends GetObjectHistoryResponseOKType {
}
export declare type GetObjectHistoryResponseError = undefined;
export {};
//# sourceMappingURL=history.d.ts.map