/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectReferenceTypeInfoAsResponse } from "../../definitions/ObjectReferenceTypeInfoAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetObjectReferencesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object id to operate on
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectReferencesResponseOKType = Array<ObjectReferenceTypeInfoAsResponse>;
export interface GetObjectReferencesResponseOK extends GetObjectReferencesResponseOKType {
}
export declare type GetObjectReferencesResponseError = undefined;
export {};
//# sourceMappingURL=reference.d.ts.map