/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectSchemaListAsResponse } from "../../definitions/ObjectSchemaListAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ObjectSchemaIn } from "../../definitions/ObjectSchemaIn";
import { ObjectSchemaAsResponse } from "../../definitions/ObjectSchemaAsResponse";
import { ObjectTypeAttributeAsResponse } from "../../definitions/ObjectTypeAttributeAsResponse";
import { ObjectTypeAsResponse } from "../../definitions/ObjectTypeAsResponse";
export interface GetObjectSchemasRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectSchemasResponseOKType = ObjectSchemaListAsResponse;
export interface GetObjectSchemasResponseOK extends GetObjectSchemasResponseOKType {
}
export declare type GetObjectSchemasResponseError = undefined;
export interface CreateObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectSchemaIn;
}
declare type CreateObjectSchemaResponseOKType = ObjectSchemaAsResponse;
export interface CreateObjectSchemaResponseOK extends CreateObjectSchemaResponseOKType {
}
export declare type CreateObjectSchemaResponseError = undefined;
export interface GetObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectSchemaResponseOKType = ObjectSchemaAsResponse;
export interface GetObjectSchemaResponseOK extends GetObjectSchemaResponseOKType {
}
export declare type GetObjectSchemaResponseError = undefined;
export interface UpdateObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectSchemaIn;
}
declare type UpdateObjectSchemaResponseOKType = ObjectSchemaAsResponse;
export interface UpdateObjectSchemaResponseOK extends UpdateObjectSchemaResponseOKType {
}
export declare type UpdateObjectSchemaResponseError = undefined;
export interface DeleteObjectSchemaRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type DeleteObjectSchemaResponseOKType = ObjectSchemaAsResponse;
export interface DeleteObjectSchemaResponseOK extends DeleteObjectSchemaResponseOKType {
}
export declare type DeleteObjectSchemaResponseError = undefined;
export interface GetObjectSchemaObjectTypeAttributesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    /**
     * Return only values that are associated with values that can be edited
     */
    onlyValueEditable?: boolean;
    /**
     * Include the object type with each object type attribute
     */
    extended?: boolean;
    /**
     * A query that will be used to filter object type attributes by their name
     */
    query?: string;
}
declare type GetObjectSchemaObjectTypeAttributesResponseOKType = Array<ObjectTypeAttributeAsResponse>;
export interface GetObjectSchemaObjectTypeAttributesResponseOK extends GetObjectSchemaObjectTypeAttributesResponseOKType {
}
export declare type GetObjectSchemaObjectTypeAttributesResponseError = undefined;
export interface GetObjectSchemaObjectTypesRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object schema id
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    /**
     * If true, the objectCount attribute is populated for each object type
     */
    includeObjectCounts?: boolean;
    /**
     * Object Type Names to search for
     */
    query?: boolean;
    /**
     * Exclude objects with this name
     */
    exclude?: string;
}
declare type GetObjectSchemaObjectTypesResponseOKType = Array<ObjectTypeAsResponse>;
export interface GetObjectSchemaObjectTypesResponseOK extends GetObjectSchemaObjectTypesResponseOKType {
}
export declare type GetObjectSchemaObjectTypesResponseError = undefined;
export {};
//# sourceMappingURL=schema.d.ts.map