/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { TicketsAsResponse } from "../../definitions/TicketsAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetObjectConnectedTicketsRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the object to get connected tickets for
     */
    objectId: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectConnectedTicketsResponseOKType = TicketsAsResponse;
export interface GetObjectConnectedTicketsResponseOK extends GetObjectConnectedTicketsResponseOKType {
}
export declare type GetObjectConnectedTicketsResponseError = undefined;
export {};
//# sourceMappingURL=ticket.d.ts.map