/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectTypeAsResponse } from "../../definitions/ObjectTypeAsResponse";
import { ErrorStrategyOption } from "../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ObjectTypeIn } from "../../definitions/ObjectTypeIn";
import { ObjectTypeAttributeAsResponse } from "../../definitions/ObjectTypeAttributeAsResponse";
import { ObjectTypePosition } from "../../definitions/ObjectTypePosition";
export interface GetObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetObjectTypeResponseOKType = ObjectTypeAsResponse;
export interface GetObjectTypeResponseOK extends GetObjectTypeResponseOKType {
}
export declare type GetObjectTypeResponseError = undefined;
export interface UpdateObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectTypeIn;
}
declare type UpdateObjectTypeResponseOKType = ObjectTypeAsResponse;
export interface UpdateObjectTypeResponseOK extends UpdateObjectTypeResponseOKType {
}
export declare type UpdateObjectTypeResponseError = undefined;
export interface DeleteObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type DeleteObjectTypeResponseOKType = ObjectTypeAsResponse;
export interface DeleteObjectTypeResponseOK extends DeleteObjectTypeResponseOKType {
}
export declare type DeleteObjectTypeResponseError = undefined;
export interface GetObjectTypeAttributesRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    onlyValueEditable?: boolean;
    orderByName?: boolean;
    query?: string;
    includeValuesExist?: boolean;
    excludeParentAttributes?: boolean;
    includeChildren?: boolean;
    orderByRequired?: boolean;
}
declare type GetObjectTypeAttributesResponseOKType = Array<ObjectTypeAttributeAsResponse>;
export interface GetObjectTypeAttributesResponseOK extends GetObjectTypeAttributesResponseOKType {
}
export declare type GetObjectTypeAttributesResponseError = undefined;
export interface ChangeObjectTypePositionRequest extends HeadersOption, ErrorStrategyOption {
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectTypePosition;
}
declare type ChangeObjectTypePositionResponseOKType = ObjectTypeAsResponse;
export interface ChangeObjectTypePositionResponseOK extends ChangeObjectTypePositionResponseOKType {
}
export declare type ChangeObjectTypePositionResponseError = undefined;
export interface CreateObjectTypeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectTypeIn;
}
declare type CreateObjectTypeResponseOKType = ObjectTypeAsResponse;
export interface CreateObjectTypeResponseOK extends CreateObjectTypeResponseOKType {
}
export declare type CreateObjectTypeResponseError = undefined;
export {};
//# sourceMappingURL=type.d.ts.map