/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ObjectTypeAttributeCreate } from "../../../definitions/ObjectTypeAttributeCreate";
import { ObjectTypeAttributeAsResponse } from "../../../definitions/ObjectTypeAttributeAsResponse";
import { ErrorStrategyOption } from "../../../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
import { ObjectTypeAttributeUpdate } from "../../../definitions/ObjectTypeAttributeUpdate";
export interface CreateObjectTypeAttributeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object type id that has this object type attribute associated with it
     */
    objectTypeId: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectTypeAttributeCreate;
}
declare type CreateObjectTypeAttributeResponseOKType = ObjectTypeAttributeAsResponse;
export interface CreateObjectTypeAttributeResponseOK extends CreateObjectTypeAttributeResponseOKType {
}
export declare type CreateObjectTypeAttributeResponseError = undefined;
export interface UpdateObjectTypeAttributeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object type attribute to manipulate
     */
    id: string;
    /**
     * The object type id that has this object type attribute associated with it
     */
    objectTypeId: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
    body: ObjectTypeAttributeUpdate;
}
declare type UpdateObjectTypeAttributeResponseOKType = ObjectTypeAttributeAsResponse;
export interface UpdateObjectTypeAttributeResponseOK extends UpdateObjectTypeAttributeResponseOKType {
}
export declare type UpdateObjectTypeAttributeResponseError = undefined;
export interface DeleteObjectTypeAttributeRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The object type attribute id to be manipulated
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
export declare type DeleteObjectTypeAttributeResponseOK = undefined;
export declare type DeleteObjectTypeAttributeResponseError = undefined;
export {};
//# sourceMappingURL=attribute.d.ts.map