/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ProgressAsResponse } from "../definitions/ProgressAsResponse";
import { ErrorStrategyOption } from "../errorStrategy";
import { HeadersOption } from "@managed-api/commons-core";
export interface GetImportProgressRequest extends HeadersOption, ErrorStrategyOption {
    /**
     * The id of the import source configuration that the progress should be fetched for
     */
    id: string;
    /**
     * The Jira Service Management REST API uses the workspaceId to identify your individual instance of Assets. You must include the workspaceId when making any calls to the REST API.
     */
    workspaceId: string;
}
declare type GetImportProgressResponseOKType = ProgressAsResponse;
export interface GetImportProgressResponseOK extends GetImportProgressResponseOKType {
}
export declare type GetImportProgressResponseError = undefined;
export {};
//# sourceMappingURL=progress.d.ts.map